Autodesk Reference Manager

Reference Manager Guide
Autodesk Reference Manager >
Autodesk Reference Manager
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD® drawings can reference several types of external files including other drawings, text fonts, images, and plot configurations. The paths to these referenced files are saved in each AutoCAD drawing. Sometimes you may need to move drawing files or the files that they reference to different folders or to different disc drives. The saved reference paths then need to be updated. To open each drawing file and then update each saved reference path manually can be a tedious process.

The Autodesk Reference Manager provides tools to list referenced files in selected drawings and to modify the saved reference paths without opening the drawing files in AutoCAD. With Reference Manager, drawings with unresolved references can be easily identified and fixed.

Reference Manager is a stand-alone application that you can access from the Autodesk program group under Programs in the Start menu (Windows).

Please send us your comment about this page


Reference Manager Guide

Autodesk Reference Manager
Overview
Autodesk Reference Manager >
Reference Manager Guide
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Reference Manager Guide explains Reference Manager concepts, provides step-by-step procedures, and includes a glossary with definitions of related terms.

Topics in this section

  • Overview
  • Select and List Drawing References
  • Change Saved Reference Paths
  • Create Reports and a Log File


Overview

Reference Manager Guide
Reference Manager Guide
Select and List Drawing References
Autodesk Reference Manager > Reference Manager Guide >
Overview
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When AutoCAD drawing files or the external files that they reference are relocated, use Reference Manager to modify the reference file paths saved in the drawings.

Organization of the Reference Manager Application Window

The Reference Manager window is divided into two panes. The left pane displays a tree view of the drawings you select and the external files that they reference.

The tree view helps you find and load content into the right pane, called the Reference list. The Reference list displays a list of references from which you can select and edit saved reference path information.

Summary of the Process to Change Saved Reference Paths

The process to change saved reference paths follows these stages:

  1. Make sure all drawings that you plan to work with are closed and that their Windows Attribute properties are not set to Read-only. Reference Manager does not change saved reference paths in any open drawings or drawings that are read-only.
  2. Add drawings and folders of drawings to the tree view. (You can edit the paths of files referenced by the drawings on this list.)
  3. Select drawings or references from the tree view pane. The references are displayed in the Reference list pane.
  4. Select one or more referenced files from the Reference list.
  5. Modify the saved reference paths of the selected references.
  6. Click Apply to save the path changes in the drawing files. The updated drawing files are saved in the current AutoCAD file format, and their BAK files are updated.
  7. Review the Details report to confirm the changes. All changes to saved reference paths are appended to a log file that you can also review.

Limitations

Reference Manager does not currently support all files referenced by drawings. Unsupported references include text fonts not associated with a text style, OLE links, hyperlinks, database file links, PMP files, and external references to URLs on the Web. If Reference Manager encounters an xref to a URL, it reports the reference as "not found."

NoteEdited paths for TrueType fonts are not saved. AutoCAD always searches for TrueType fonts in the Windows Fonts folder.


Select and List Drawing References

Overview
Reference Manager Guide
Select Drawing Files and Folders
Autodesk Reference Manager > Reference Manager Guide >
Select and List Drawing References
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Before you change the saved reference paths in AutoCAD drawing files, you select the drawings that you want to work with, and you examine the list of references in each drawing.

Topics in this section

  • Select Drawing Files and Folders
  • List References and Display Information


Select Drawing Files and Folders

Select and List Drawing References
Select and List Drawing References
List References and Display Information
Autodesk Reference Manager > Reference Manager Guide > Select and List Drawing References >
Select Drawing Files and Folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Select the drawing files to be added to the tree view list by using a dialog box or by dragging drawing files and folders into the tree view. Once drawings are added to the tree view list, you can edit the paths of any files referenced in those drawings.

Using the Add Drawings dialog box, you can select drawing files individually or by using the SHIFT and CTRL keys as you would do in Windows Explorer. You can also drag drawings into the tree view list from your desktop, from project folders, and from Windows Explorer. You can remove a single drawing or all drawings from the tree view list.

If two drawings with the same name are listed in the tree view, it means that they are located in different folders or have different saved paths.

NoteIf you add a drawing that has already been added to the tree view, the drawing is not reloaded into Reference Manager. If you need to update the tree view, remove the drawing before adding it again.

Drawings That Contain Xrefs

When you add drawings that contain xrefs, Reference Manager can automatically add all referenced drawings to the tree view list as an option. During an Add Drawings operation, Reference Manager displays a dialog box giving you the option to add the xrefs, or you can set an option in the Reference Manager Options dialog box.

Icons for nested xrefs are grayed out when the host drawing is not added to the tree view. To add the host drawing, double-click a grayed out icon to display the Add Drawings dialog box.

Open or Read-Only Drawings

It is possible to add a drawing to the tree view list even if the drawing file is open or is set to Read-only. In that case, however, no path changes to the drawing are applied, and the Details dialog box and the Reference Manager log file confirm that no changes have been made to the drawing file. No alert message is displayed when you attempt to add a drawing that is read-only because the status of a drawing file can be changed even after the drawing has been added in Reference Manager. Thus, before beginning a Reference Manager session, it is important to make sure that all drawing files are available for editing.

NoteWhen the Reference Manager is in the process of adding the drawings that you selected, clicking Stop cancels the operation after the current drawing is added.

Procedures

To add a drawing to the tree view
  1. Click File menu [image] Add Drawings.
  2. In the Add Drawings dialog box, select one or more drawing files. You can select drawing files individually, or you can use SHIFT or CTRL with your selection to specify multiple drawing files. Then click OK.
    TipAs an alternative, select one or more drawing files in Windows Explorer, and drag them into the tree view.
To add a folder of drawings to the tree view
  • In Windows Explorer, select one or more folders and drag them into the tree view.
To remove a drawing from the tree view
  1. On the View menu, make sure that List by Drawing is selected.
  2. In the tree view, select the drawing to be removed from the list.
  3. Click File menu [image] Remove Drawings.
To remove all drawings from the tree view
  1. In the tree view, click the top level node, either All Drawings or By Reference.
  2. Click File menu [image] Remove Drawings.


List References and Display Information

Select Drawing Files and Folders
Select and List Drawing References
Operation of the Tree View
Autodesk Reference Manager > Reference Manager Guide > Select and List Drawing References >
List References and Display Information
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To use Reference Manager effectively, use the display options in the tree view and the Reference list.

Topics in this section

  • Operation of the Tree View
  • Operation of the Reference List


Operation of the Tree View

List References and Display Information
List References and Display Information
Operation of the Reference List
Autodesk Reference Manager > Reference Manager Guide > Select and List Drawing References > List References and Display Information >
Operation of the Tree View
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The tree view in the left pane of Reference Manager provides a hierarchical list of references in the drawings that you added to the tree view list. You can control the display style of the tree view, and you can click the plus (+) or minus (-) signs to expand or collapse items in the tree view called nodes.

The two types of tree view organization are List by Drawing and List by Reference Type. List by Drawing displays a hierarchical list of nodes organized by drawing files. List by Reference Type displays a hierarchical list of nodes organized according to the different types of references.

NoteDrawing files are listed alphabetically by their full path names even when only the drawing name is displayed.

You can expand and collapse the nodes in the tree view to list the references that they contain. What you select from the tree view list determines what is displayed in the Reference list:

  • If the highest-level node is selected, all references are displayed.
  • If a drawing is selected, only references in that drawing are displayed.
  • If a reference type is selected in the List by Reference Type mode, all references of that type are displayed from all drawings currently in the tree view.
  • If a reference is selected, any nested references are displayed.
  • If the lowest-level item in a reference hierarchy is selected, that reference is displayed in the Reference list.
NoteWith List by Reference Type, references are displayed only once, regardless of how many drawings use that reference.

You can select and remove any drawing from the tree view list, including template drawings (.dwt) and standards drawings (.dws) as well as regular AutoCAD drawings (.dwg).

Drawings That Contain Xrefs

Several additional features are available in the tree view for drawings that have nested xrefs.

Reference Manager uses icons in the tree view that help you find drawings that contain xrefs with paths that cannot be located. In certain complex situations, xrefs with path problems may not be listed in the Reference list but will be listed in the tree view.

Reference Manager provides an option when adding drawings to the tree view to add all the drawings' nested xrefs automatically. This saves time if you need to edit the paths of nested xrefs.

Reference Manager mimics the display behavior of AutoCAD when xref overlays are nested in drawings. Any xrefs nested in xref overlays are listed the same way that AutoCAD displays them. If an xref overlay is nested more than one level deep in an AutoCAD drawing, any xref attached to the xref overlay is not listed in the Reference Manager tree view.

NoteIt is recommended that you do not use AutoCAD to edit the paths of xrefs that are nested more than one level deeper than the current drawing file. Reference Manager is a convenient tool to restore the xref path information in these drawings.

Procedures

To list references by drawing name
  • Click View menu [image] List by Drawing.
To list references by reference type
  • Click View menu [image] List by Reference Type.


Operation of the Reference List

Operation of the Tree View
List References and Display Information
Change Saved Reference Paths
Autodesk Reference Manager > Reference Manager Guide > Select and List Drawing References > List References and Display Information >
Operation of the Reference List
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Reference list in the right pane of Reference Manager provides a list of references in the item currently selected in the tree view. You can control the display of the columns in the Reference list.

When you select an item in the tree view, references associated with that item display in the Reference list. You can then select references from the Reference list to change their saved reference paths.

Data from each reference is displayed in columns in the Reference list. You can right-click a column heading to sort the items in that column or control whether the column is displayed. You can also drag columns left or right to change their order.

Complete control of the Reference list is available in the Reference Manager Options dialog box.

NoteReferences that are located on a network hard drive will display in the Reference list as Found in Different Location, due to the drive letter mapping assigned to the drive. For example, a saved reference path to drive letter C: on one computer may be the network drive H: on another.

Procedures

To sort a Reference list column
  • Click a column heading to sort all references by that column. Click the column heading a second time to reverse the sort order.
To hide a Reference list column
  • Right-click a column heading. Click Hide Column.
To display a hidden Reference list column
  1. Click View menu [image] Options.
  2. In the Options dialog box, under Columns to Display, click the column name to be displayed.
  3. Click OK.
To change the location of a Reference list column
  • Drag the column heading left or right to a new location.


Change Saved Reference Paths

Operation of the Reference List
Reference Manager Guide
Types of Saved Reference Paths
Autodesk Reference Manager > Reference Manager Guide >
Change Saved Reference Paths
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can select one or more references from the Reference list to change saved reference path information.

Once references are selected, you can use one of the following dialog boxes:

  • Edit Selected Paths. Changes the saved paths of all selected references to the new path name that you enter.
  • Find and Replace Selected Paths. Locates all references that use a specified saved path from all the references that you selected, and replaces only those with a new path. This is particularly useful when working with large sets of drawings in which you need to filter the saved reference paths.

    You can also right-click an item in the Reference list to display a shortcut menu of available operations, including access to file properties.

Topics in this section

  • Types of Saved Reference Paths


Types of Saved Reference Paths

Change Saved Reference Paths
Change Saved Reference Paths
Create Reports and a Log File
Autodesk Reference Manager > Reference Manager Guide > Change Saved Reference Paths >
Types of Saved Reference Paths
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

With Reference Manager, you can change saved reference paths to an absolute (fully specified) path or to a relative (partially specified) path. You can also strip out all saved path information by saving a reference path as an empty field. In this case, AutoCAD resolves the reference using the support file search path or information saved in the current profile or project name.

When no path information is saved with the attached external reference, the following search is initiated in the order shown:

  • Current folder of the host drawing
  • Project search paths defined on the Files tab in the Options dialog box and in the PROJECTNAME system variable
  • Support search paths defined on the Files tab in the Options dialog box
  • Start In folder specified in the Windows application shortcut

Reference Manager uses the identical search path rules as the current version of AutoCAD.

The conventions for specifying a relative folder path are as follows:

\ | Look in the root folder of the host drawing's drive
path | From the root folder, follow the specified path
.\path | From the folder of the host drawing, follow the specified path
..\path | From the folder of the host drawing, move up one folder level and follow the specified path
..\..\path | From the folder of the host drawing, move up two folder levels and follow the specified path
NoteIf a drawing that contains referenced files is moved or saved to a different path, to a different local hard drive, or to a different network server, you must edit any relative paths to accommodate the host drawing's new location or you must relocate the referenced files.

Locate and Correct Unresolved References

To locate all unresolved references, add a set of drawings to the tree view list, and then scan the tree view for broken drawing icons. Check the Reference list for each broken drawing to find which references are unresolved. In the following illustration, drawing 1_abc.dwg is broken. It references an xref, 1_q.dwg, which is unresolved.

In the tree view, only xrefs display the Not Found icon (shown with an exclamation point in the illustration). All other unresolved references must be identified in the Reference list. Drawings containing xrefs that are found in a different location than specified in their saved reference paths are not displayed as broken.

Apply Path Changes

After you change one or more saved reference paths, use Apply to save the changes to the drawing files. Only the references with the pencil icon in the Status column of the Reference list are affected by Apply.

Once you use Apply, the updated drawing files are saved in the current drawing file format. A backup drawing file (.bak) is also created or updated.

After you apply path changes, a dialog box reports the number of successful changes made. You can click Details to see a complete list of the changes that were made.

Path Change Failures

After you use Apply, the Details dialog box that is accessed from the Summary dialog box will report any failures. Failures can be caused by one of the following:

  • If a drawing file is opened in AutoCAD after you add the drawing to the tree view in Reference Manager but before you apply any path changes, the drawing file will be locked by AutoCAD, and any path changes that you specify in Reference Manager will not be saved to the drawing file.
  • If a drawing file is moved to a different folder after you add the drawing to the tree view but before you apply any path changes, Reference Manager will not find the drawing file in its new location, and any path changes that you specify will not be saved to the file.
  • If a drawing file is set to Read-only, any path changes that you specify in Reference Manager will not be saved to the drawing file.

If the Details dialog boxreports any failures, use Apply again after you remedy the problem with the drawing file.

Procedures

To change saved reference paths
  1. In the tree view, click a drawing or a reference.
  2. In the Reference list, select one or more references whose saved paths you want to change. You can use CTRL-click or SHIFT-click to make multiple selections in the Reference list.
  3. Click Edit menu [image] Edit Selected Paths.
  4. In the Edit Selected Paths dialog box, in New Saved Path, enter the new path name. You can click Browse for Folder to locate a folder.
  5. Click OK.

For the selected references, all path names are changed to the path that you entered in New Saved Path.

To replace all instances of a saved reference path
  1. In the tree view, click a drawing or a reference.
  2. In the Reference list, select one or more references whose saved paths you want to replace. You can use CTRL-click or SHIFT-click to make multiple selections in the Reference list.
  3. Click Edit menu [image] Find and Replace.
  4. In the Find and Replace Selected Paths dialog box, in Find Saved Path, enter the existing path name that you want to change in all selected references. You can click Browse for Folder to locate a folder.
  5. In Replace With, enter the new path name. You can click Browse for Folder to locate a folder.
  6. Click Replace All.

For the selected references, all path names that match the path you entered in Find Search Path are replaced with the path that you entered in Replace With.

To save all reference path changes to drawing files
  1. Click File menu [image] Apply Changes.
  2. Click OK or click Details to view a report of all saved path changes.


Create Reports and a Log File

Types of Saved Reference Paths
Reference Manager Guide
Autodesk Reference Manager (AdRefMan)
Autodesk Reference Manager > Reference Manager Guide >
Create Reports and a Log File
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can export a report of the references in the drawing files that are currently added in Reference Manager. You can also maintain a log for saved reference path changes.

Create Reports

You can export a report of the reference data from all the columns (displayed or not) in one of three formats:

  • Extensible markup language (.xml)
  • Comma-separated values (.csv)
  • Microsoft Excel Workbook (.xls)

Record Changes to a Log File

A log file is maintained that automatically records every change to saved reference paths made with Reference Manager, even across several sessions. When a change in a saved reference path is applied, the change is appended to the log file, log.txt. By default, the log file is located in your My Documents folder.

The log file can be turned off in the Reference Manager Options dialog box.

Procedures

To export a Reference Manager report
  1. Click File menu [image] Export Report.
  2. In the Export Report dialog box, under File Name, enter the name of the report. Under Files of Type, select the file format of the report.
  3. Click Save. By default, the report is saved to the file log.txt in your My Documents folder.
To turn the log file on or off
  1. Click View menu [image] Options.
  2. In the Options dialog box, select or clear Write to Log File.
  3. Click OK.


Autodesk Reference Manager (AdRefMan)

Create Reports and a Log File
Autodesk Reference Manager Window
Autodesk Reference Manager >
Autodesk Reference Manager (AdRefMan)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Modifies reference paths saved in AutoCAD drawings

The Autodesk Reference Manager Windowis displayed.

Topics in this section

  • Autodesk Reference Manager Window
  • Autodesk Reference Manager Menus
  • Add Drawings Dialog Box
  • Edit Selected Paths Dialog Box
  • Find and Replace Selected Paths Dialog Box
  • Export Report Dialog Box
  • Options Dialog Box
  • Summary Dialog Box
  • Details Dialog Box


Autodesk Reference Manager Window

Autodesk Reference Manager (AdRefMan)
Autodesk Reference Manager (AdRefMan)
Autodesk Reference Manager Menus
Autodesk Reference Manager > Autodesk Reference Manager (AdRefMan) >
Autodesk Reference Manager Window
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Menu: Start menu (Windows) [image] Programs [image] Autodesk [image] AutoCAD [image] Reference Manager

Provides two panes for listing referenced files in selected drawings and modifying saved reference paths without opening the drawings in AutoCAD.

Tree View

Displays a pane on the left with a tree view of drawings and the file references saved in them. You add drawing files to the tree view to make the file reference paths that are saved in them available for editing. The information in the tree view can be listed in two styles: List by Drawing or List by Reference Type.

All Drawings

Displays a list of drawings added to the tree view. Each drawing node can be expanded to display several types of file reference. Each type of file reference can also be expanded to display the references of that type. Drawings with xrefs may contain several nesting levels of references. If one or more references in a drawing cannot be located, the drawing icon is broken diagonally. If the missing reference is an xref, the icon for the xref displays with a red exclamation point (!) in it.

By Reference

Displays a list of reference types saved in the drawings that have been added to the tree view. Each reference type can be expanded to display a list of the files of that type.

Reference List

Displays a pane on the right with the file references from the item selected in the tree view. If All Drawings or By Reference is selected in the tree view, all references are displayed in the Reference list. Information about each reference is displayed under several columns.

Type

Identifies the type of reference file. Supported reference types include xref attachments, xref overlays, text fonts, plot styles, plot configurations, standards, images, and shapes.

Status

Identifies whether a reference was found using the path saved in the drawing (Resolved), a path different from the one saved in the drawing (Found in Different Location), or whether the reference could not be located (Not Found).

File Name

Displays the name and extension of the referenced file; for example, txt.shx.

Reference Name

Displays the name used for the reference in the drawing. For example, Standard is the default name assigned to txt.shx.

Saved Path

The path that is currently saved in the drawing for the reference. If Saved Path is blank, it means that no path was saved for the reference and AutoCAD will search for it using an assigned search path.

Found Path

The path where the referenced file will be found by AutoCAD.

Host Drawing

The drawing file that contains the reference.

Host Version

The database version of the AutoCAD drawing that contains the reference. Several releases of AutoCAD may use the same database version.


Autodesk Reference Manager Menus

Autodesk Reference Manager Window
Autodesk Reference Manager (AdRefMan)
Add Drawings Dialog Box
Autodesk Reference Manager > Autodesk Reference Manager (AdRefMan) >
Autodesk Reference Manager Menus
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Provides tools for all Reference Manager operations. Additional tools such as Copy to Clipboard are accessible from the shortcut menus in the tree view and the Reference list.

File Menu

Controls file-oriented operations.

Add Drawings

Displays the Add Drawings dialog box, where you specify the drawing files to add to the tree view list.

Remove Drawings

Specifies a drawing file to remove from the tree view list. If the highest-level node in the tree view is clicked, all drawings are removed.

Export Report

Displays the Export Report dialog box, where you create a file from the references in the drawing files that are currently added in Reference Manager.

Apply Changes

Saves the changes that you specified to reference paths in drawing files.

Exit

Closes Autodesk Reference Manager.

Edit Menu

Controls reference selection and path-editing operations.

Select All

Selects all references displayed in the Reference list.

Unselect All

Clears all selections in the Reference list.

Invert Selection

Reverses the selection status of references in the Reference list.

Edit Selected Paths

Displays the Edit Selected Paths dialog box, where you change the saved paths of all selected references to the new path name that you enter.

Find and Replace Selected Paths

Displays the Find and Replace Selected Paths dialog box, where you locate all references that use a specified path from all the references that you selected, and replace only those with the new path.

View Menu

Controls display options.

List by Drawing

Displays a hierarchical list of nodes organized by drawing files.

List by Reference Type

Displays a hierarchical list of nodes organized according to the different types of references.

Options

Displays the Options dialog box, where you control the display and operation of Reference Manager.

Help Menu

Provides access to the Reference Manager Help system.

Help

Displays Help.

About

Displays information about Autodesk Reference Manager, including version and copyright.


Add Drawings Dialog Box

Autodesk Reference Manager Menus
Autodesk Reference Manager (AdRefMan)
Edit Selected Paths Dialog Box
Autodesk Reference Manager > Autodesk Reference Manager (AdRefMan) >
Add Drawings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Toolbar: Toolbar
Menu: File [image] Add Drawings

Adds drawings and folders of drawings to the tree view. You can edit the paths of files referenced by the drawings on this list.

Places List

Provides quick access to predefined file locations. Click the Look In arrow to view the path for each icon. You can reorder the icons in the Places list by dragging them to a new location. To add a new icon to the Places list, drag a folder from the Files list to the Places list, or right-click an existing icon and click Add or Add Current Folder on the shortcut menu. This shortcut menu also provides options for removing and modifying icons, or restoring default icons that have been removed. Changes to the Places list affect all standard file selection dialog boxes.

  • History. Displays shortcuts to the files most recently accessed from the dialog box. It is recommended that you periodically remove unwanted shortcuts from the History list. Select History, then select the unwanted shortcuts from the Files list and click Delete. To sort the shortcuts by date, click Views [image] Details, and then click the Modified column in the Files list.
  • Personal/My Documents. Displays the contents of the Personal or My Documents folder for the current user profile. The name of this location ("Personal" or "My Documents") depends on your operating system version.
  • Favorites. Displays the contents of the Favorites folder for the current user profile. This folder consists of shortcuts to files or folders that you added to Favorites using the Tools [image] Add to Favorites option in the dialog box.
  • Desktop. Displays the contents of your desktop.
Look In

Displays the current folder or drive. Click the arrow to view the hierarchy of the folder path and to navigate up the path tree or to other drives or network connections.

Back

Returns to the previous file location.

Up One Level

Navigates one level up in the current path tree.

Search the Web

Not supported by Reference Manager.

Delete

Deletes the selected file or folder.

Create New Folder

Creates a new folder in the current path using a name that you specify.

View

Controls the appearance of the Files list.

  • List. Displays the contents of the Files list in a multicolumn format.
  • Details. Displays the contents of the Files list in a single-column format with file details shown.
Tools

Provides the following tools to help you with file selection:

  • Find. Displays the Find dialog box, in which you can search for files using name, location, and date-modified filters.
  • Locate. Not available in Reference Manager.
  • Add Current Folder to Places. Adds an icon for the selected folder to the Places list, providing quick access to that folder from all standard file selection dialog boxes. To remove the icon, right-click the icon and click Remove.
  • Add to Favorites. Creates a shortcut to the current Look In location, or to the selected file or folder. The shortcut is placed in the Favorites folder for the current user profile, which you can access by clicking Favorites in the Places list.
Files List

Displays the files and folders in the current path and of the selected file type. Use the Views menu in the dialog box to switch between List view and Details view.

File Name

Displays the name of the file you select in the Files list. If you select multiple files, File Name displays each selected file within quotation marks. If you enter a file name in the File Name box, Reference Manager clears any selection. You must use quotation marks when entering multiple file names. Separate multiple file names with spaces or commas. You can use wild-card characters to filter files displayed in the Files list.

Files of Type

Filters the list of files by file type.

Open

Adds the selected file to the Reference Manager tree view.


Edit Selected Paths Dialog Box

Add Drawings Dialog Box
Autodesk Reference Manager (AdRefMan)
Find and Replace Selected Paths Dialog Box
Autodesk Reference Manager > Autodesk Reference Manager (AdRefMan) >
Edit Selected Paths Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Toolbar: Toolbar
Menu: Edit [image] Edit Selected Paths

Changes the saved paths of all selected references.

New Saved Path

Changes the saved paths of all selected references to the new path name that you enter.

Browse

Displays a tree view in the Browse for Folder dialog box, in which you can specify a new path.


Find and Replace Selected Paths Dialog Box

Edit Selected Paths Dialog Box
Autodesk Reference Manager (AdRefMan)
Export Report Dialog Box
Autodesk Reference Manager > Autodesk Reference Manager (AdRefMan) >
Find and Replace Selected Paths Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Toolbar: Toolbar
Menu: Edit [image] Find and Replace Selected Paths

Find and Replace

Locates all references that use a specified path from all the references that you selected, and replaces all occurrences of that path with a new path that you specify.

Find Saved Path

Finds and selects the references whose path names match the saved reference path that you specify. Only the references that are already selected are searched. This entry filters the saved reference paths of the currently selected references.

Browse

Displays a tree view in the Browse for Folder dialog box, in which you can specify an existing path.

Replace With

Changes the saved reference path of the references found to the new path that you enter.

Browse

Displays a tree view in the Browse for Folder dialog box, in which you can specify a new saved path.

Replace All

Performs the find and replace operation. Closes the dialog box and retains any changes that you made.


Export Report Dialog Box

Find and Replace Selected Paths Dialog Box
Autodesk Reference Manager (AdRefMan)
Options Dialog Box
Autodesk Reference Manager > Autodesk Reference Manager (AdRefMan) >
Export Report Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Menu: Toolbar
Menu: File [image] Export Report

Exports a report of the references in the drawing files that are currently added in Reference Manager.

Places List

Provides quick access to predefined file locations. Click the Look In arrow to view the path for each icon. You can reorder the icons in the Places list by dragging them to a new location. To add a new icon to the Places list, drag a folder from the Files list to the Places list, or right-click an existing icon and click Add or Add Current Folder on the shortcut menu. This shortcut menu also provides options for removing and modifying icons, or restoring default icons that have been removed. Changes to the Places list affect all standard file selection dialog boxes.

  • History. Displays shortcuts to the files most recently accessed from the dialog box. It is recommended that you periodically remove unwanted shortcuts from the History list. Select History, then select the unwanted shortcuts from the Files list and click Delete. To sort the shortcuts by date, click Views [image] Details, and then click the Modified column in the Files list.
  • Personal/My Documents. Displays the contents of the Personal or My Documents folder for the current user profile. The name of this location ("Personal" or "My Documents") depends on your operating system version.
  • Favorites. Displays the contents of the Favorites folder for the current user profile. This folder consists of shortcuts to files or folders that you added to Favorites using the Tools [image] Add to Favorites option in the dialog box.
  • Desktop. Displays the contents of your desktop.
Look In

Displays the current folder or drive. Click the arrow to view the hierarchy of the folder path and to navigate up the path tree or to other drives or network connections.

Back

Returns to the previous file location.

Up One Level

Navigates one level up in the current path tree.

Search the Web

Displays the Browse the Web dialog box, from which you can store the report file on the Internet.

Delete

Deletes the selected file or folder.

Create New Folder

Creates a new folder in the current path using a name that you specify.

Views

Controls the appearance of the Files list.

  • List. Displays the contents of the Files list in a multicolumn format.
  • Details. Displays the contents of the Files list in a single-column format with file details shown.
Tools

Provides the following tools to help you with file selection:

  • Find. Displays the Find dialog box, in which you can search for files using name, location, and date-modified filters.
  • Locate. Not available in Reference Manager.
  • Add Current Folder to Places. Adds an icon for the selected folder to the Places list, providing quick access to that folder from all standard file selection dialog boxes. To remove the icon, right-click the icon and click Remove.
  • Add to Favorites. Creates a shortcut to the current Look In location, or to the selected file or folder. The shortcut is placed in the Favorites folder for the current user profile, which you can access by clicking Favorites in the Places list.
Files List

Displays the files and folders in the current path and of the selected file type. Use the Views menu in the dialog box to switch between List view and Details view.

File Name

Displays the name of the file you select in the Files list. If you enter a file name in the File Name box, Reference Manager clears any selection. You can use wild-card characters to filter files displayed in the Files list.

Files of Type

Filters the list of files by file type.

Save

Saves the file under the specified file name, file type, and location.


Options Dialog Box

Export Report Dialog Box
Autodesk Reference Manager (AdRefMan)
Summary Dialog Box
Autodesk Reference Manager > Autodesk Reference Manager (AdRefMan) >
Options Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Menu: View [image] Options

Controls the display and operation of Reference Manager.

Display Options

Controls several display options.

Show Full Path in Tree View

Displays the path name and file name in the tree view when checked, or displays only the file name in the tree view when cleared.

Display Toolbar Button Text

Displays label text and icons for toolbar buttons when checked, or displays only the toolbar icons when cleared.

Columns to Display

Controls the display order and visibility of each column in the Reference list.

Move Up Arrow

Moves the currently selected column heading up in this selection list and one column to the left when displayed in the Reference list.

Move Down Arrow

Moves the currently selected column heading down in this selection list and one column to the right when displayed in the Reference list.

Log File

Controls the operation of the text file that records all path changes made with Reference Manager.

Write to Log File

Controls whether the log file is active. When checked, path changes using Reference Manager are recorded and appended to the log file. If the log file has never been used or is missing, a log file is created.

Log File Name

Specifies the file name of the log file. You must enter .txt for the file extension. By default, the log file is saved in your My Documents folder.

Browse

Displays a tree view in the Browse for Folder dialog box, in which you can specify the path to the log file.

Settings

Controls several settings for Reference Manager operation.

Profile Used to Resolve References

Specifies which AutoCAD profile name to use for locating references. AutoCAD profiles store several AutoCAD drawing environment settings in your system registry, including search paths.

Add Xrefs When Adding Drawings

When this option is checked, Reference Manager adds all the nested xrefs of a drawing to the tree view when a drawing is added to the tree view. When this option is cleared, only specified drawings are added to the tree view, and any nested xrefs in the drawings must be added individually.

Restore Default Messages and Alert Boxes

Displays all dialog boxes that include a Don't Display This Message Again option. All dialog boxes with warning options are displayed, regardless of previous settings specific to each dialog box.


Summary Dialog Box

Options Dialog Box
Autodesk Reference Manager (AdRefMan)
Details Dialog Box
Autodesk Reference Manager > Autodesk Reference Manager (AdRefMan) >
Summary Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Toolbar: Toolbar
Menu: File [image] Apply Changes

Reports the number of drawings and references that have been successfully updated.

Details

Displays the Details dialog box with the reference path changes that have been applied. Also lists the reference path edits that were unsuccessful.


Details Dialog Box

Summary Dialog Box
Autodesk Reference Manager (AdRefMan)
Glossary
Autodesk Reference Manager > Autodesk Reference Manager (AdRefMan) >
Details Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Menu: File [image] Apply Changes; click Details
File Name

Displays the name and extension of the referenced file; for example, txt.shx.

Reference Name

Displays the name used for the reference in the drawing. For example, Standard is the default name assigned to txt.shx.

Editing Status

Reports whether the applied change was successfully saved to the drawing. If the change was unsuccessful, the reason for the failure is given.

Old Path

Displays the previous path name saved in the host drawing of the referenced file.

New Path

Displays the new path name saved in the host drawing of the referenced file.

Host Drawing

Displays the name of the drawing file that contains the reference.

Updated Drawing Format

Reports whether the drawing file was updated to the current AutoCAD drawing file format.

Displays a list of applied reference path changes and associated information.


Glossary

Details Dialog Box
Glossary
Autodesk Reference Manager >
Glossary
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Glossary


Glossary
Glossary
Autodesk Reference Manager > Glossary >
Glossary
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
absolute path

A fully specified path name for a file; for example, C:\Data\Projects\Floorplan.dwg. See also relative path.

current working folder

The folder in which an application is executed.

found path

The folder hierarchy where Reference Manager found a referenced file. See also saved path.

host drawing

A drawing that contains a reference to another file.

host version

The AutoCAD database version of the host drawing.

reference file

A file that is referenced by an AutoCAD drawing file.

Reference list

The right pane of the Reference Manager window, which lists the references in the drawings selected in the Reference Manager tree view. See also tree view.

relative path

A partially specified path name that depends on the working current folder to provide complete path information for a file; for example, \Projects\Floorplan.dwg. See also absolute path.

saved reference path

The folder hierarchy of a file reference that is saved in a drawing file. A saved reference path is also known as a saved path. See also found path.

tree view

The left pane of the Reference Manager window, which lists selected drawings and the files that they reference. See also Reference list.


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!